#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC5,0x5F,0x98,0xEE,0x62,0xAE,0xC4,0x84,0xCC,0x26,0xD2,0x81,
		0x5F,0xC7,0x7B,0x1D,0x94,0xED,0xCF,0xB3,0x48,0x6F,0x38,0x46,
		0xB4,0x65,0xE1,0x14,0x0E,0x8C,0x1E,0xE9,0x96,0xEF,0xEA,0xAD,
		0x87,0xBD,0x72,0xE2,0x3F,0xC6,0xE1,0x74,0x36,0xC4,0x10,0xEF,
		0x16,0x16,0xBE,0x4C,0x97,0xBB,0x39,0xBA,0x8A,0xF7,0xD7,0x81,
		0x49,0x8B,0xB7,0x13,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
